package stx.libjava.tools.compiler;

import java.io.ByteArrayOutputStream;
import java.io.InputStream;
import java.io.OutputStream;
import java.net.URI;
import javax.tools.SimpleJavaFileObject;

/**
 * Simple in-memory representation of .class file. Used by 
 * JavaCompilerAdapter. 
 * 
 * @author Jan Vrany
 *
 */
public class JavaClassFile extends SimpleJavaFileObject {
	private ByteArrayOutputStream bytes; 
	
	public JavaClassFile(String name) {       
		super(URI.create("byte:///" + name + ".class"), Kind.CLASS);   
	}   
	public CharSequence getCharContent(boolean ignoreEncodingErrors) {       
		throw new IllegalStateException();   
	}   
	public OutputStream openOutputStream() {       
		bytes = new ByteArrayOutputStream();       
		return bytes;   
	}   
	public InputStream openInputStream() {       
		throw new IllegalStateException();   
	}   
	public byte[] getBytes() {       
		return bytes.toByteArray();   
	}
}
